Robot Control Interface - Bug #1506
call to implicitly-deleted copy constructor of '‘ControlAspectPtr’
05/22/2013 05:29 PM - Anonymous

Status: New Start date: 05/22/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 1.00 hour
Target version: rci0.4

Description

Building RCI trunk with Clang 4.2.0:

In file included from /Users/jenkins/workspace/rci-trunk-macos/label/MAC_QOS_lion_64bit/rci/src/rci/ControlMode.cpp:27:
/Users/jenkins/workspace/rci-trunk-macos/label/MAC_OS_lion_64bit/rci/src/rci/ControlMode.h:156:34: error: call to
implicitly-deleted copy constructor of 'ControlAspectPtr' (aka 'shared_ptr<rci::ControlAspect>')

"Inactive / no Control", noControl);

/opt/local/include/boost/smart_ptr/shared_ptr.hpp:343:5: note: copy constructor is implicitly deleted because
'shared_ptr<rci::ControlAspect>' has a user-declared move constructor

shared_ptr( shared_ptr && r ): px( r.px ), pn() / never throws

A
/Users/jenkins/workspace/rci-trunk-macos/label/MAC_OS_lion_64bit/rci/src/rci/ControlMode.h:114:69: note: passing argument
to parameter 'aspect' here

static ControlModePtr create(std::string name, ControlAspectPtr aspect);

A

https://ci.cor-lab.org/view/AMARSi/job/rci-trunk-macos/

Related issues:
Related to Robot Control Interface - Bug # 1374: RCI trunk doesn't build on Mac Resolved 01/30/2013

Associated revisions

Revision 682 - 05/22/2013 05:48 PM - anordman

Explicitly declare copy constructor for Control Aspect

refs #1506

History

#1 - 08/12/2013 01:47 PM - Anonymous
- Target version set to rci0.4
